## hw-detect 1.146

=== debian/changelog ===
hw-detect (1.146) unstable; urgency=medium

  * Make the install-firmware script check both /firmware (PXE) and
    /cdrom/firmware (ISO) for patterns extracted from DEP-11 metadata,
    like check-missing-firmware does.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 28 Jul 2021 00:46:22 +0200

hw-detect (1.145) unstable; urgency=medium

  * Drop firmware-map file and surrounding logic: it never went further
    than a proof-of-concept, and we're approaching the firmware problem
    differently now (see: #989863).
  * If /firmware/dep11 is present (which should be the case starting with
    D-I Bullseye RC 3, for firmware-enabled images), query the udev
    database, extract modalias information, and use the patterns available
    under that directory to figure out which firmware packages might be
    helpful. Copy the relevant /firmware/<package>_*.deb files under
    /var/cache/firmware, and let the existing code enable non-free in
    apt-setup and install those packages in /target (see: #989863).
  * Check the actual module behind a given driver, since there might be a
    slight mismatch between the name coming up in dmesg (e.g. rtw_8821ce)
    and the actual module name (e.g. rtw88_8821ce). With many thanks to
    Daniel Lewart for the original patch (Closes: #973733).
  * Uniquify module list earlier in check-missing-firmware, to avoid
    repeating n times the same module if it requests n firmware files
    (e.g. iwlwifi).
  * Finally stop looking into the obsolete /dev/.udev/firmware-missing and
    /run/udev/firmware-missing locations, which were obsoleted upstream
    (udev) in 2013. This only generates noise in the installer's syslog.
  * When resuming parsing dmesg from a timestamp, just mention the
    timestamp in the log instead of the actual pattern, for better
    readability.
  * Set udevdir to /lib/udev/rules.d (instead of /etc/udev/rules.d), to
    appease lintian (udev-rule-in-etc).
  * Ignore iwl-debug-yoyo.bin requested by iwlwifi as it seems to be about
    debugging, it doesn't seem actually required, and it's not packaged
    anyway (see: #969264, 966218).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 27 Jul 2021 02:26:23 +0200
