## hw-detect 1.147

=== debian/changelog ===
hw-detect (1.147) unstable; urgency=medium

  * Add support for CHECK_MISSING_FIRMWARE=0 to hw-detect. This makes it
    possible for some callers (e.g. cdrom-detect, maybe iso-scan too) to
    avoid triggering firmware-related prompts when it's too early in the
    installation process to do anything about it (See: #991587, #991590).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 28 Jul 2021 09:05:05 +0200
