## hw-detect 1.147A~5.1.0.202303091659

=== debian/changelog ===
hw-detect (1.147A~5.1.0.202303091659) ucs5-1-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35731-Require-at-least-one-Ethernet-interface
    0002-Bug-42853-Added-french-language

 -- Univention builddaemon <buildd@univention.de>  Thu, 09 Mar 2023 16:59:49 +0100
