=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hw-detect
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
 Vcs-Browser: https://salsa.debian.org/installer-team/hw-detect
