## hw-detect 1.150

=== debian/changelog ===
hw-detect (1.150) unstable; urgency=medium

  * Team upload

  [ Chris Hofstaedtler ]
  * Remove experimental dmraid support.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 04 Aug 2022 17:54:03 +0200

hw-detect (1.149) unstable; urgency=medium

  * Team upload

  [ Holger Wansing ]
  * Add missing changelog entry for 1.148

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for hw-detect, ethdetect,
    disk-detect, driver-injection-disk-detect, archdetect.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev,
      libdebian-installer4-dev and po-debconf.
    + hw-detect: Drop versioned constraint on cdebconf-udeb, di-utils, rootskel
      and udpkg in Depends.
    + ethdetect: Drop versioned constraint on cdebconf-udeb, di-utils and
      rootskel in Depends.
    + disk-detect: Drop versioned constraint on cdebconf-udeb and di-utils in
      Depends.
    + driver-injection-disk-detect: Drop versioned constraint on cdebconf-udeb
      in Depends.

  [ Updated translations ]
  * Dutch (nl.po) by Frans Spiesschaert
  * Vietnamese (vi.po) by Trần Ngọc Quân
  * Simplified Chinese (zh_CN.po) by Wenbin Lv

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 17 Jul 2022 16:33:50 +0200

hw-detect (1.148) unstable; urgency=medium

  * Team upload

  [ Frédéric Bonnard ]
  * install opal-prd package on OpenPOWER machines.

  [ Samuel Thibault ]
  * Make gbp produce the right tag format

  [ Holger Wansing ]
  * Path /etc/pcmcia/ has been moved to /etc/pcmciautils/ (see #980271).
    Update the template accordingly.
    + Syncing translations.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 02 Jan 2022 17:02:34 +0100
