## hw-detect 1.151

=== debian/changelog ===
hw-detect (1.151) unstable; urgency=medium

  * Team upload

  * Revert template change in v1.148 (that changed /etc/pcmcia/ path into
    /etc/pcmciautils/), which was done by error. Closes: #1020535.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 09 Oct 2022 17:34:19 +0200
