## hw-detect 1.152

=== debian/changelog ===
hw-detect (1.152) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Amharic (am.po) by Danial Behzadi
  * Asturian (ast.po) by Danial Behzadi
  * Bengali (bn.po) by Danial Behzadi
  * Japanese (ja.po) by Norimitsu SUGIMOTO

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 01 Jan 2023 12:38:26 +0100
