## hw-detect 1.153

=== debian/changelog ===
hw-detect (1.153) unstable; urgency=medium

  * Add initial support for non-free-firmware, following the 2022 General
    Resolution about non-free firmware:
     - Implement firmware lookup using Contents-firmware indices. Those
       are produced by debian-cd when including firmware packages onto
       installation images, and they make it possible to map firmware
       files requested by the kernel to firmware packages and the
       components they were found in. When performing a search in a
       directory that doesn't include such Contents-firmware index, the
       already-existing code is used as a fallback, checking the contents
       of each and every *.deb package in that directory; in that case,
       the component is deduced from the Section field of the package.
     - Add support for *.component files when installing firmware packages
       based on modalias information. Those are generated alongside the
       existing *.patterns files (built from DEP-11/AppStream metadata)
       by debian-cd when including firmware packages onto installation
       images, and make it possible to map firmware packages to the
       components they were found in.
     - Use the aforementioned mechanisms to establish a list of components
       from which firmware packages were installed, making it possible to
       enable the relevant apt-setup/$component parameters (among contrib,
       non-free, and non-free-firmware). This makes sure the package
       manager's configuration includes the right components, so that
       those firmware packages can be upgraded like any other regular
       packages.
     - The end results should be official installation images with
       packages only from main and non-free-firmware (without contrib or
       non-free which used to be present in some unofficial images
       including firmware packages), configuring the installed system with
       the main component and possibly the non-free-firmware one when some
       firmare packages are needed.
  * Add a special case for the usb module: when the module requesting
    firmware files is “usb”, search the USB bus using port and device
    information to find the underlying device and the module managing
    it. Using a Realtek-based Wi-Fi dongle connected over USB as an
    example: this makes it possible to trade “usb 4-1.5” found in dmesg
    for “rtl8192cu”. Instead of trying to unload/reload the usb and
    usbcore modules (which might not even be feasible), the relevant
    network module gets reloaded instead, which should make it request its
    firmware files again, and maybe find them if some firmware packages
    have just been installed. If the lookup fails, stick to “usb”; the
    existing link up/down dance implemented by upnics (see below) might be
    sufficient for firmware files to be requested again.
  * Tweak the upnics function, trying to stop it from killing any network
    configuration that might have been set up by users, manually or via
    preseed (with many thanks to Nicolas Dandrimont):
     - Historically, to make sure network modules request the firmware
       files they might require (this might not happen at the time the
       module is loaded), each interface is brought up and down.
     - Instead, only perform the link up/down dance for interfaces that
       aren't up already (working under the assumption that their being up
       is the result of user actions, as a previous upnics call would have
       left interfaces down) and that aren't associated with a master
       interface (that happens when bonding is configured).
  * Delete support for loading udeb firmware packages (*.udeb or *.ude
    depending on the filesystem), focus on loading regular deb firmware
    packages instead. Yes, such udeb firmware packages existed… in Etch!
  * Temporarily delete support for searching firmware on external media:
     - users have always struggled with preparing such media;
     - the lookup doesn't work sufficiently well;
     - and since non-free firmware can be included directly into official
       installation images, this feature should be much less useful
       anyway.
    A detailed rationale can be found in #1029543, feedback is welcome!

 -- Cyril Brulebois <kibi@debian.org>  Tue, 24 Jan 2023 05:12:46 +0000
