## hw-detect 1.154

=== debian/changelog ===
hw-detect (1.154) unstable; urgency=medium

  * Implement support for the hw-detect/firmware-lookup=never setting
    (Closes: #1029848):
     - It can be set on the kernel command line or via preseed.
     - It can be set via the firmware=never alias.
     - It changes check-missing-firmware's behaviour:
        + It will still scan kernel logs for missing firmware files, and
          generate log lines accordingly.
        + It will not try to load firmware packages from the installation
          image, even if firmware packages are included (as that's the
          case for official installation images starting with Bookworm).
        + It will not ask whether to load firmware from removable media.
     - It changes install-firmware's behaviour:
        + It will not copy any firmware files into the installed system.
        + It will not try to install firmware packages based on modalias
          information.
  * Reinstate “mountmedia” and “mountmedia driver” calls, even if use
    cases haven't been clarified yet (See: #1029543); but skip them during
    the first iteration:
     - The “Load missing firmware from removable media?” question hasn't
       been asked yet, so that seems better consistency-wise.
     - If firmware is found in /firmware or /cdrom/firmware, which is
       likely now that installation images include packages from
       non-free-firmware, the first iteration might be sufficient and
       skipping those calls means an improved user experience (less
       waiting).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 30 Jan 2023 02:36:59 +0100
