## hw-detect 1.155

=== debian/changelog ===
hw-detect (1.155) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Deduplicate the list of requested firmware files, not just the list of
    requesting modules (Closes: #1031631).
  * Implement microcode support when /proc/cpuinfo contains a vendor_id
    field, with one of the following values (Closes: #1029804):
     - Install amd64-microcode on AuthenticAMD.
     - Install intel-microcode on GenuineIntel.
     - Enable non-free-firmware accordingly.
     - Perform installation via finish-install, making sure apt-setup has
       been configured, and using apt-install for dependency resolution.
  * Optimize firmware package installation: process dpkg triggers once,
    after all packages have been installed (i.e. install-firmware only
    triggers a single update-initramfs call).
  * Fix condition around moutmedia calls (See: #1032377).
  * Fix files removal for non-accepted firmware packages (See: #1032377).
  * Add a special case for the mhi module: when the module requesting
    firmware files is “mhi”, use the modules listed as holders (e.g.
    ath11k_pci and qrtr_mhi). This is less precise than the usb special
    case, since /sys/bus/mhi/devices/<device> gives no hints as to which
    network module would be involved (See: #1032140). Thanks to Nicolas
    Dandrimont and Benoît Chauvet for the tests.
  * Adjust dmesg timestamp management: only update the timestamp file if
    there are new lines.
  * Fix package name extraction when removing a firmware package (e.g.
    it failed to install because it was corrupted). Regression in 1.153,
    spotted in #1032970.
  * Build /var/log/firmware-summary as a 3-column summary of firmware (and
    microcode) packages getting installed (Closes: #1029849). Those three
    columns are: package, component, and reason. The reason might be dmesg
    (check-missing-firmware), modalias (install-firmware hook), or cpu
    (install-firmware hook).

  [ Pascal Hambourg ]
  * Fix several glitches (Closes: #1033035):
     - Fix removal of temporary files in /target after installing firmware
       packages (they're in /tmp so the next reboot has been doing the
       trick until now).
     - Determine the package name by using the Package field instead of
       trusting the filename when installing firmware packages.
     - Make sure not to include the possible -n option when setting the
       IFACES variables in check-missing-firmware.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 22 Mar 2023 20:31:11 +0100
