## hw-detect 1.156

=== debian/changelog ===
hw-detect (1.156) unstable; urgency=medium

  [ Updated translations ]
  * Macedonian (mk.po) by Kristijan Fremen Velkovski

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Apr 2023 01:39:26 +0200
