## hw-detect 1.157

=== debian/changelog ===
hw-detect (1.157) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po) by Kjetil Sørlund
  * Polish (pl.po) by Matthaiks

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 09 May 2023 21:59:55 +0200
