## hw-detect 1.158

=== debian/changelog ===
hw-detect (1.158) unstable; urgency=medium

  [ Pascal Hambourg ]
  * Restore support for firmware license prompts (Closes: #1033921).

  [ Cyril Brulebois ]
  * Pick Pascal's minimal patch (duplicating standard input) to implement
    the aforementioned fix for Bookworm, and postpone reworking the loop
    until the next development cycle begins (See: #1035356, #1029843).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 11 May 2023 23:14:28 +0200
