=== debian/control ===
Source: hw-detect
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper-compat (= 13), po-debconf, libdebian-installer4-dev
Vcs-Browser: https://salsa.debian.org/installer-team/hw-detect
Vcs-Git: https://salsa.debian.org/installer-team/hw-detect.git

Package: hw-detect
Package-Type: udeb
Architecture: any
Depends: rootskel, archdetect, cdebconf-udeb, di-utils, pciutils-udeb, udpkg, ${misc:Depends}
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
Package-Type: udeb
Architecture: all
Priority: optional
Depends: rootskel, cdebconf-udeb, hw-detect, di-utils, pciutils-udeb, ${misc:Depends}
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 1700
Description: Detect network hardware and load kernel drivers for it

Package: disk-detect
Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb, hw-detect, di-utils, pciutils-udeb,
	 harddrive-detection-dasd [s390x],
	 harddrive-detection-zfcp [s390x],
	 ${misc:Depends}
Priority: optional
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 3500
Description: Detect disk drives

Package: driver-injection-disk-detect
Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb, hw-detect, mountmedia, ${misc:Depends}
Priority: optional
Enhances: hw-detect
XB-Installer-Menu-Item: 1500
Description: Detect OEM driver injection disks

Package: archdetect
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hardware architecture detector
