## hw-detect 1.159A~5.2.0.202310271404

=== debian/changelog ===
hw-detect (1.159A~5.2.0.202310271404) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35731-Require-at-least-one-Ethernet-interface.patch
    0002-Bug-42853-Added-french-language.patch

 -- Univention builddaemon <buildd@univention.de>  Fri, 27 Oct 2023 14:10:48 +0200
