## hw-detect 1.162

=== debian/changelog ===
hw-detect (1.162) unstable; urgency=medium

  * Team upload

  [ Michael Biebl ]
  * Remove obsolete discover related files/dependencies

  [ Carsten Schoenert ]
  * Fix reload of iwlwifi module (Closes: #1006708)

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 10 Sep 2024 21:07:48 +0200

hw-detect (1.161) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hindi (hi.po) by Scrambled777
  * Hungarian (hu.po) by SZERVÁC Attila
  * Marathi (mr.po) by omwani
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 May 2024 19:17:07 +0200

hw-detect (1.160) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Croatian (hr.po) by Milo Ivir
  * Romanian (ro.po) by NicolaeFericitu

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 23 Sep 2023 22:25:39 +0200
