## hw-detect 1.164

=== debian/changelog ===
hw-detect (1.164) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 29 Nov 2024 23:19:43 +0100

hw-detect (1.163) unstable; urgency=medium

  [ Updated translations ]
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Nov 2024 21:40:17 +0100
