## hw-detect 1.165

=== debian/changelog ===
hw-detect (1.165) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Polish (pl.po) by Matthaiks
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Traditional Chinese (zh_TW.po) by reimu105

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 06 Feb 2025 22:03:09 +0100
