## hw-detect 1.166

=== debian/changelog ===
hw-detect (1.166) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Serbian (sr.po) by Мирослав Николић

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 01 Apr 2025 12:05:00 +0200
