## hw-detect 1.167

=== debian/changelog ===
hw-detect (1.167) unstable; urgency=medium

  * Team upload

  [ Roland Clobus ]
  * ethdetect: Allow commas in the description of modules. Closes: #1090738.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 06 Apr 2025 21:04:41 +0200
