## hw-detect 1.167trisquel2

=== debian/changelog ===
hw-detect (1.167trisquel2) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 20 Apr 2025 01:43:54 +0000
