=== debian/changelog ===
hw-detect (1.168) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Install spice-vdagent under qemu/kvm if we are installing a desktop
    (i.e. if xserver-xorg-core or task-desktop are installed).
    Closes: #986500.

  [ Pascal Hambourg ]
  * Ignore renesas_usb_fw.mem requested by xhci-pci-renesas when falling
    back to the ROM. Devices might already work at this point, and a
    reload would risk making them disappear all of a sudden. This can
    catastrophic if that affects the installation medium! See: #1105000.

  [ Cyril Brulebois ]
  * Congratulations to Felix Crux for the very detailed bug report
    mentioned above!

 -- Cyril Brulebois <kibi@debian.org>  Tue, 13 May 2025 20:11:05 +0200
