## hw-detect 1.169

=== debian/changelog ===
hw-detect (1.169) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Tamil (ta.po) by anishprabu.t
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 27 Jun 2025 16:03:40 +0200
