## hw-detect 1.169trisquel2

=== debian/changelog ===
hw-detect (1.169trisquel2) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Jun 2025 00:52:24 +0000
