## hw-detect 1.170

=== debian/changelog ===
hw-detect (1.170) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by Santiago Vila
  * Hungarian (hu.po) by Szia Tomi
  * Russian (ru.po) by Алексей Шилин

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Jul 2025 06:33:24 +0200
