## hw-detect 1.170trisquel2

=== debian/changelog ===
hw-detect (1.170trisquel2) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jul 2025 07:31:38 +0000
