## hw-detect 1.171

=== debian/changelog ===
hw-detect (1.171) unstable; urgency=medium

  * Before copying loose files as usual, make sure to delete any files
    belonging to firmware packages embedded in the initrd by debian-cd,
    leaving it up to the modalias-based logic to deploy those packages
    when relevant (Closes: #1106005). Right now, that's only about
    firmware-sof-signed, but we might have firmware-intel-signed as well
    later on.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Aug 2025 19:43:39 +0200
