=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	$(foreach PACKAGE, $(shell dh_listpackages), \
	  $(MAKE) install-$(PACKAGE) DESTDIR=$(CURDIR)/debian/$(PACKAGE);)
