## hw-detect 1.171trisquel2

=== debian/changelog ===
hw-detect (1.171trisquel2) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 03 Aug 2025 12:46:28 +0000
