## hw-detect 1.172

=== debian/changelog ===
hw-detect (1.172) unstable; urgency=medium

  * Team upload.

  [ D-I role ]
  * [l10n]  Commit changed/added po files (from l10n-sync run at dillon)
  * [l10n]  Commit changed/added po files (from l10n-sync run at dillon)
  * [l10n]  Commit changed/added po files (from l10n-sync run at dillon)

  [ Philip Hands ]
  * accept '/usr' in firmware paths (closes: #1116709)

 -- Philip Hands <phil@hands.com>  Sat, 11 Oct 2025 21:28:39 +0200
