## hw-detect 1.173

=== Makefile ===
--- 
+++ 
@@ -23,11 +23,11 @@
 CFLAGS += `dpkg-buildflags --get CFLAGS`
 CPPFLAGS += `dpkg-buildflags --get CPPFLAGS`
 
-bindir=$(DESTDIR)/bin/
+bindir=$(DESTDIR)/usr/bin/
 hpdir=$(DESTDIR)/etc/hotplug.d
 netdir=$(DESTDIR)/etc/network
-udevdir=$(DESTDIR)/lib/udev/rules.d
-didir=$(DESTDIR)/lib/debian-installer.d
+udevdir=$(DESTDIR)/usr/lib/udev/rules.d
+didir=$(DESTDIR)/usr/lib/debian-installer.d
 fidir=$(DESTDIR)/usr/lib/finish-install.d
 sharedir=$(DESTDIR)/usr/share/hw-detect/
 postbaseinstallerdir=$(DESTDIR)/usr/lib/post-base-installer.d/
