=== debian/changelog ===
hw-detect (1.173) unstable; urgency=medium

  * Team upload.

  * Change install paths, to make package usrmerge-compliant.

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 25 Nov 2025 20:14:08 +0100
